<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.reyun</groupId>
	<artifactId>saasio</artifactId>
	<packaging>war</packaging>
	<version>0.0.1-SNAPSHOT</version>
	<name>myweb Maven Webapp</name>
	<url>http://maven.apache.org</url>

	<repositories>
		<repository>
			<id>cloudera-repo-releases</id>
			<url>https://repository.cloudera.com/artifactory/cloudera-repos/</url>
		</repository>
	</repositories>

	<!-- 定义相关属性 -->
	<properties>
		<jdk-version>1.8</jdk-version>
		<junit-version>4.11</junit-version>
		<spring-version>4.3.4.RELEASE</spring-version>
		<maven.jetty.version>9.2.2.v20140723</maven.jetty.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<logback.version>1.1.3</logback.version>
	</properties>

	<profiles>
		<profile>
			<id>dev</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<label>dev</label>
				<datasource.url>jdbc:mysql://192.168.2.57:3306/userio?characterEncoding=utf-8</datasource.url>
				<datasource.username>root</datasource.username>
				<datasource.password>reyun123</datasource.password>
				<datasource.driver>com.mysql.jdbc.Driver</datasource.driver>

				<redis.surl.host>192.168.2.57</redis.surl.host>
				<redis.surl.port>6379</redis.surl.port>
				<redis.event.database>13</redis.event.database>
				<!--Redis setting-->
				<redis.key.validtime>120</redis.key.validtime>
				<redis.ip.requesttimes>5</redis.ip.requesttimes>
				<redis.ip.unknown.requesttimes>5</redis.ip.unknown.requesttimes>

				<redis.surl.host>192.168.2.57</redis.surl.host>
				<redis.surl.port>6379</redis.surl.port>

				<redis.event.host>192.168.2.57</redis.event.host>
				<redis.event.port>6379</redis.event.port>
				<redis.event.database>0</redis.event.database>
				<!--Redis setting//end-->
				<admin.url>http://localhost:8080</admin.url>
				<awsneed>false</awsneed>
				<flowneed>false</flowneed>

				<report.url>http://172.31.1.122:9010</report.url>
				<admin.url>http://localhost:8080</admin.url>
				<receiver.host>172.31.30.1,172.31.22.39,172.31.22.38,172.31.4.0,172.31.3.123,172.31.16.68,172.31.30.154,172.31.26.177</receiver.host>
				<receiver.port>8080</receiver.port>
				<trackingio.url>http://52.80.113.103:8002</trackingio.url>
				<demo.url>http://localhost:9010</demo.url>


				<mail.host>smtp.exmail.qq.com</mail.host>
				<mail.username>manager@reyun.com</mail.username>
				<mail.password>Reyun123</mail.password>
				<mail.content_type>text/plain;charset\=GBK</mail.content_type>
				<mail.list>zhangliang@reyun.com</mail.list>
				<mail.valid_time>4320</mail.valid_time>

				<report.url>http://172.31.1.122:9010</report.url>

				<presto.driver>com.facebook.presto.jdbc.PrestoDriver</presto.driver>
				<presto.url>jdbc:presto://172.31.11.248:18889/hive/default</presto.url>
				<presto.username>root</presto.username>

                <profile.table>kudu.default.profile_</profile.table>
                <event.table>tkio_bigtable_view.event_</event.table>
                <usergroup.table>tkio_bigtable.tkio_user_group_preview</usergroup.table>

				<hive.driver>org.apache.hive.jdbc.HiveDriver</hive.driver>
				<hive.url>jdbc:hive2://172.31.25.200:10000/tkio_bigtable</hive.url>
				<hive.username>root</hive.username>

				<account.check.url>http://localhost:8091</account.check.url>

			</properties>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<label>dev</label>
				<datasource.url>jdbc:mysql://testreyun.cjxbwnaf9ore.rds.cn-northwest-1.amazonaws.com.cn:3306/userio?characterEncoding=utf-8</datasource.url>
				<datasource.username>reyuntest</datasource.username>
				<datasource.password>reyuntest</datasource.password>
				<datasource.driver>com.mysql.jdbc.Driver</datasource.driver>


				<!--Redis setting-->
				<redis.key.validtime>120</redis.key.validtime>
				<redis.ip.requesttimes>50</redis.ip.requesttimes>
				<redis.ip.unknown.requesttimes>100</redis.ip.unknown.requesttimes>

				<redis.surl.host>172.31.23.181</redis.surl.host>
				<redis.surl.port>6379</redis.surl.port>

				<redis.event.host>172.31.23.181</redis.event.host>
				<redis.event.port>6379</redis.event.port>
				<redis.event.database>13</redis.event.database>
				<!--Redis setting//end-->


				<awsneed>true</awsneed>

				<mail.host>smtp.exmail.qq.com</mail.host>
				<mail.username>service1@reyun.com</mail.username>
				<mail.password>3xy9cUFpe4VdPuoH</mail.password>
				<mail.content_type>text/plain;charset\=GBK</mail.content_type>
				<mail.list></mail.list>
				<mail.valid_time>3</mail.valid_time>

				<presto.driver>com.facebook.presto.jdbc.PrestoDriver</presto.driver>
				<presto.url>jdbc:presto://172.31.21.99:18889/hive/default</presto.url>
				<presto.username>root</presto.username>

				<hive.driver>org.apache.hive.jdbc.HiveDriver</hive.driver>
				<hive.url>jdbc:hive2://172.31.25.200:10000/tkio_bigtable</hive.url>
				<hive.username>root</hive.username>
				<report.url>http://172.31.1.122:9010</report.url>
				<!--trackingio域名服务地址-->
				<account.check.url>http://52.83.173.174:8005</account.check.url>

				<profile.table>kudu.default.profile_</profile.table>
				<event.table>tkio_bigtable_view.event_</event.table>
				<usergroup.table>tkio_bigtable.tkio_user_group_preview</usergroup.table>

			</properties>
		</profile>

		<profile>
			<id>split_test</id>
			<properties>
				<label>dev</label>
				<datasource.url>jdbc:mysql://io-split-rds.c42s8pkbxrdg.rds.cn-north-1.amazonaws.com.cn:3306/userio?characterEncoding=utf-8</datasource.url>
				<datasource.username>reyun</datasource.username>
				<datasource.password>reyun123</datasource.password>
				<datasource.driver>com.mysql.jdbc.Driver</datasource.driver>

				<!--Redis setting-->
				<redis.key.validtime>120</redis.key.validtime>
				<redis.ip.requesttimes>5</redis.ip.requesttimes>
				<redis.ip.unknown.requesttimes>5</redis.ip.unknown.requesttimes>

				<redis.surl.host>io-split-wenqiang.dgfxhr.0001.cnn1.cache.amazonaws.com.cn</redis.surl.host>
				<redis.surl.port>6379</redis.surl.port>

				<redis.event.host>io-split-wenqiang.dgfxhr.0001.cnn1.cache.amazonaws.com.cn</redis.event.host>
				<redis.event.port>6379</redis.event.port>
				<redis.event.database>0</redis.event.database>
				<!--Redis setting//end-->
				<admin.url>http://localhost:8080</admin.url>
				<awsneed>false</awsneed>
				<flowneed>false</flowneed>

				<report.url>http://localhost:8003/</report.url>
				<admin.url>http://localhost:9020</admin.url>
				<receiver.host>ec2-54-223-170-25.cn-north-1.compute.amazonaws.com.cn</receiver.host>
				<receiver.port>8081</receiver.port>
				<trackingio.url>http://52.80.113.103:8002</trackingio.url>
				<demo.url>http://localhost:9002</demo.url>


				<mail.host>smtp.exmail.qq.com</mail.host>
				<mail.username>manager@reyun.com</mail.username>
				<mail.password>Reyun123</mail.password>
				<mail.content_type>text/plain;charset\=GBK</mail.content_type>
				<mail.list>zhangxiaoyan@reyun.com</mail.list>
				<mail.valid_time>4320</mail.valid_time>


				<presto.driver>com.facebook.presto.jdbc.PrestoDriver</presto.driver>
				<presto.url>jdbc:presto://ec2-54-223-146-236.cn-north-1.compute.amazonaws.com.cn:8889/hive/default</presto.url>
				<presto.username>root</presto.username>

				<profile.table>kudu.default.profile_</profile.table>
				<event.table>tkio_bigtable_view.event_</event.table>
				<usergroup.table>tkio_bigtable.tkio_user_group</usergroup.table>

				<hive.driver>org.apache.hive.jdbc.HiveDriver</hive.driver>
				<hive.url>jdbc:hive2://ec2-54-223-146-236.cn-north-1.compute.amazonaws.com.cn:10000/tkio_bigtable</hive.url>
				<hive.username>root</hive.username>

				<account.check.url>http://52.80.113.103:8006</account.check.url>

			</properties>
		</profile>

		<profile>
			<id>aws</id>
			<properties>
				<label>product</label>
				<datasource.url>jdbc:mysql://tkio.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/userio?characterEncoding=utf-8</datasource.url>
				<datasource.username>reyun</datasource.username>
				<datasource.password>Reyun123</datasource.password>
				<datasource.driver>com.mysql.jdbc.Driver</datasource.driver>


				<!--Redis setting-->
				<redis.key.validtime>120</redis.key.validtime>
				<redis.ip.requesttimes>50</redis.ip.requesttimes>
				<redis.ip.unknown.requesttimes>100</redis.ip.unknown.requesttimes>

				<redis.surl.host>trackingioweb.nr7fi4.ng.0001.cnn1.cache.amazonaws.com.cn</redis.surl.host>
				<redis.surl.port>6379</redis.surl.port>
				<redis.surl.database>1</redis.surl.database>

				<redis.event.host>trackingio-web.nr7fi4.0001.cnn1.cache.amazonaws.com.cn</redis.event.host>
				<redis.event.port>6379</redis.event.port>
				<redis.event.database>13</redis.event.database>
				<!--Redis setting//end-->


				<awsneed>false</awsneed>
				<flowneed>true</flowneed>


				<mail.host>smtp.exmail.qq.com</mail.host>
				<mail.username>service4@reyun.com</mail.username>
				<mail.password>3xy9cUFpe4VdPuoH</mail.password>
				<mail.content_type>text/plain;charset\=GBK</mail.content_type>
				<mail.list>zhangxiaoyan@reyun.com</mail.list>
				<mail.valid_time>4320</mail.valid_time>

				<report.url>http://internal-report-api-976419027.cn-north-1.elb.amazonaws.com.cn</report.url>
                <admin.url>http://ec2-54-223-136-157.cn-north-1.compute.amazonaws.com.cn:8099</admin.url>
				<trackingio.url>http://www.trackingio.com</trackingio.url>
				<demo.url>http://localhost:9010</demo.url>

				<receiver.host>172.31.30.1,172.31.22.39,172.31.22.38,172.31.4.0,172.31.3.123,172.31.16.68,172.31.30.154,172.31.27.121,172.31.17.216</receiver.host>
				<receiver.port>8080</receiver.port>

				<profile.table>kudu.default.profile_</profile.table>
				<event.table>tkio_bigtable_view.event_</event.table>
				<usergroup.table>tkio_bigtable.tkio_user_group</usergroup.table>


				<presto.driver>com.facebook.presto.jdbc.PrestoDriver</presto.driver>
				<presto.url>jdbc:presto://172.31.11.248:18889/hive/default</presto.url>
				<presto.username>presto</presto.username>
				<presto.password></presto.password>
				<presto.minconnection>100</presto.minconnection>
				<presto.maxconnection>500</presto.maxconnection>
				<presto.timeoutvalue>3600000</presto.timeoutvalue>

				<hive.driver>org.apache.hive.jdbc.HiveDriver</hive.driver>
				<hive.url>jdbc:hive2://172.31.11.248:10000/test</hive.url>
				<hive.username>root</hive.username>

                <iscache>0</iscache>

                <account.check.url>http://io.reyun.com</account.check.url>

			</properties>
		</profile>
	</profiles>

	<!-- 定义依赖包 -->
	<dependencies>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.0.1</version>
			<scope>provided</scope>
		</dependency>
		<!-- spring begin -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-jpa</artifactId>
			<version>1.10.5.RELEASE</version>
			<exclusions>
				<exclusion>
					<artifactId>spring-aop</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-core</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-tx</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-context</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>slf4j-api</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-beans</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jcl-over-slf4j</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aspects</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
			<version>${spring-version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
			<version>1.7.1.RELEASE</version>
			<exclusions>
				<exclusion>
					<artifactId>spring-aop</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-core</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-context-support</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-context</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-beans</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<!-- spring end -->

		<dependency>
			<groupId>net.sf.ehcache</groupId>
			<artifactId>ehcache</artifactId>
			<version>2.9.1</version>
			<exclusions>
				<exclusion>
					<artifactId>slf4j-api</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.googlecode.ehcache-spring-annotations</groupId>
			<artifactId>ehcache-spring-annotations</artifactId>
			<version>1.1.2</version>
			<type>jar</type>
			<scope>compile</scope>
			<exclusions>
				<exclusion>
					<artifactId>commons-codec</artifactId>
					<groupId>commons-codec</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-aop</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-core</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
				<exclusion>
					<artifactId>slf4j-api</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
				<exclusion>
					<artifactId>spring-beans</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<!-- hibernate begin -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>4.2.1.Final</version>
			<exclusions>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>org.javassist</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jboss-logging</artifactId>
					<groupId>org.jboss.logging</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<version>4.2.1.Final</version>
			<exclusions>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>org.javassist</groupId>
				</exclusion>
                <exclusion>
                    <artifactId>jboss-logging</artifactId>
                    <groupId>org.jboss.logging</groupId>
                </exclusion>
            </exclusions>
		</dependency>
		<dependency>
			<groupId>org.hibernate.common</groupId>
			<artifactId>hibernate-commons-annotations</artifactId>
			<version>4.0.1.Final</version>
			<exclusions>
				<exclusion>
					<artifactId>jboss-logging</artifactId>
					<groupId>org.jboss.logging</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>5.0.0.Final</version>
		</dependency>
		<dependency>
			<groupId>org.xerial.snappy</groupId>
			<artifactId>snappy-java</artifactId>
			<version>1.0.4.1</version>
		</dependency>
		<!-- hibernate end -->


		<!--logger begin -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.7.5</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>jcl-over-slf4j</artifactId>
			<version>1.7.5</version>
			<exclusions>
				<exclusion>
					<artifactId>slf4j-api</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>${logback.version}</version>
			<exclusions>
				<exclusion>
					<artifactId>slf4j-api</artifactId>
					<groupId>org.slf4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-access</artifactId>
			<version>${logback.version}</version>
		</dependency>

		<dependency>
			<groupId>org.logback-extensions</groupId>
			<artifactId>logback-ext-spring</artifactId>
			<version>0.1.2</version>
			<exclusions>
				<exclusion>
					<artifactId>logback-classic</artifactId>
					<groupId>ch.qos.logback</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.javassist</groupId>
			<artifactId>javassist</artifactId>
			<version>3.20.0-GA</version>
		</dependency>
		<!-- logger end -->
		<!-- cat -->
		<dependency>
			<groupId>com.dianping.cat</groupId>
			<artifactId>cat-client</artifactId>
			<version>2.0.0</version>
			<scope>system</scope>
			<systemPath>${pom.basedir}/lib/cat-client-2.0.0.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.dianping.cat</groupId>
			<artifactId>cat-core</artifactId>
			<version>2.0.0</version>
			<scope>system</scope>
			<systemPath>${pom.basedir}/lib/cat-core-2.0.0.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.unidal.framework</groupId>
			<artifactId>foundation-service</artifactId>
			<version>4.0.0</version>
			<scope>system</scope>
			<systemPath>${pom.basedir}/lib/foundation-service-4.0.0.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>io.netty</groupId>
			<artifactId>netty-all</artifactId>
			<version>4.0.23.Final</version>
		</dependency>
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>1.6</version>
		</dependency>
		<!-- cat //End-->

		<!-- database begin -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.25</version>
		</dependency>
		<!-- database end -->

		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
			<version>2.8.5</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>2.8.5</version>
			<exclusions>
				<exclusion>
					<artifactId>jackson-annotations</artifactId>
					<groupId>com.fasterxml.jackson.core</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>javax.inject</groupId>
			<artifactId>javax.inject</artifactId>
			<version>1</version>
		</dependency>

		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
			<version>2.8.0</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<version>1.0.14</version>
		</dependency>

		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
			<exclusions>
				<exclusion>
					<artifactId>commons-lang</artifactId>
					<groupId>commons-lang</groupId>
				</exclusion>
                <exclusion>
                    <artifactId>commons-logging</artifactId>
                    <groupId>commons-logging</groupId>
                </exclusion>
            </exclusions>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.6</version>
		</dependency>

		<dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
			<version>20090211</version>
		</dependency>

		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.2.2</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.4</version>
		</dependency>

		<dependency>
			<groupId>com.belerweb</groupId>
			<artifactId>pinyin4j</artifactId>
			<version>2.5.0</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-email</artifactId>
			<version>1.2</version>
		</dependency>

		<!-- JMockit -->
		<dependency>
			<groupId>com.googlecode.jmockit</groupId>
			<artifactId>jmockit</artifactId>
			<version>1.5</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.googlecode.jmockit</groupId>
			<artifactId>jmockit-coverage</artifactId>
			<version>0.999.24</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.jdom</groupId>
			<artifactId>jdom</artifactId>
			<version>1.1.3</version>
		</dependency>

		<dependency>
			<groupId>com.amazonaws</groupId>
			<artifactId>aws-java-sdk-dynamodb</artifactId>
			<version>1.11.52</version>
			<exclusions>
				<exclusion>
					<artifactId>jackson-core</artifactId>
					<groupId>com.fasterxml.jackson.core</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jackson-databind</artifactId>
					<groupId>com.fasterxml.jackson.core</groupId>
				</exclusion>
				<exclusion>
					<artifactId>commons-codec</artifactId>
					<groupId>commons-codec</groupId>
				</exclusion>
				<exclusion>
					<artifactId>commons-logging</artifactId>
					<groupId>commons-logging</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.jsoup</groupId>
			<artifactId>jsoup</artifactId>
			<version>1.6.3</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.codehaus.jettison/jettison -->
		<dependency>
			<groupId>org.codehaus.jettison</groupId>
			<artifactId>jettison</artifactId>
			<version>1.3.7</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>20.0</version>
		</dependency>
		<dependency>
			<groupId>commons-httpclient</groupId>
			<artifactId>commons-httpclient</artifactId>
			<version>3.1</version>
			<exclusions>
				<exclusion>
					<artifactId>commons-codec</artifactId>
					<groupId>commons-codec</groupId>
				</exclusion>
				<exclusion>
					<artifactId>commons-logging</artifactId>
					<groupId>commons-logging</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
 			 <groupId>com.sun.jersey</groupId>
  			 <artifactId>jersey-core</artifactId>
  			 <version>1.8</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.webjars.npm/isemail -->
		<dependency>
			<groupId>org.webjars.npm</groupId>
			<artifactId>isemail</artifactId>
			<version>2.1.0</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/commons-net/commons-net -->
		<dependency>
			<groupId>commons-net</groupId>
			<artifactId>commons-net</artifactId>
			<version>3.6</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/dnsjava/dnsjava -->
		<dependency>
			<groupId>dnsjava</groupId>
			<artifactId>dnsjava</artifactId>
			<version>2.1.8</version>
		</dependency>

        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.16</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.16</version>
        </dependency>

		<dependency>
			<groupId>org.xerial.snappy</groupId>
			<artifactId>snappy-java</artifactId>
			<version>1.1.2.6</version>
		</dependency>

		<dependency>
			<groupId>org.anarres.lzo</groupId>
			<artifactId>lzo-core</artifactId>
			<version>1.0.5</version>
			<exclusions>
				<exclusion>
					<artifactId>commons-logging</artifactId>
					<groupId>commons-logging</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<!-- Ads client library dependencies -->
		<dependency>
			<groupId>com.google.api-ads</groupId>
			<artifactId>ads-lib</artifactId>
			<version>3.9.0</version>
		</dependency>
		<dependency>
			<groupId>com.google.api-ads</groupId>
			<artifactId>adwords-axis</artifactId>
			<version>3.9.0</version>
		</dependency>

		<!-- Third party dependencies -->
		<dependency>
			<groupId>com.google.http-client</groupId>
			<artifactId>google-http-client-jackson2</artifactId>
			<version>1.22.0</version>
		</dependency>
		<dependency>
			<groupId>com.beust</groupId>
			<artifactId>jcommander</artifactId>
			<version>1.48</version>
		</dependency>


		<dependency>
			<groupId>com.facebook.presto</groupId>
			<artifactId>presto-jdbc</artifactId>
			<version>0.170</version>
		</dependency>

		<dependency>
			<groupId>org.apache.hive</groupId>
			<artifactId>hive-jdbc</artifactId>
			<version>1.1.0-cdh5.12.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.hive</groupId>
			<artifactId>hive-exec</artifactId>
			<version>1.1.0-cdh5.12.1</version>
		</dependency>
	</dependencies>

	<!-- 配置构建 -->
	<build>
		<finalName>saasio</finalName>
		<sourceDirectory>src/main/java</sourceDirectory>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
				<includes>
					<include>**/*.*</include>
				</includes>
				<excludes>
					<exclude>**/*.dat</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*.dat</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources/logback/${label}</directory>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<encoding>UTF-8</encoding>
					<source>1.8</source>
					<target>1.8</target>
					<showWarnings>true</showWarnings>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.19</version>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.6</version>
				<configuration>
					<webResources>
						<resource>
							<directory>${pom.basedir}/lib</directory>
							<targetPath>WEB-INF/lib</targetPath>
							<filtering>false</filtering>
							<includes>
								<include>**/*.jar</include>
							</includes>
						</resource>
					</webResources>
				</configuration>
			</plugin>
			<plugin>
				<groupId>com.github.eirslett</groupId>
				<artifactId>frontend-maven-plugin</artifactId>
				<version>1.0</version>

				<!-- optional -->
				<configuration>
					<installDirectory>${project.build.directory}</installDirectory>
					<srcdir>src/main/websrc</srcdir>
					<outputdir>src/main/webapp</outputdir>
					<triggerfiles>
						<triggerfile>Gruntfile.js</triggerfile>
						<triggerfile>package.json</triggerfile>
					</triggerfiles>
				</configuration>

				<executions>
					<execution>
						<id>install node and npm</id>
						<goals>
							<goal>install-node-and-npm</goal>
						</goals>
						<configuration>
							<nodeVersion>v0.10.18</nodeVersion>
							<npmVersion>1.3.8</npmVersion>
						</configuration>
					</execution>

					<execution>
						<id>npm install</id>
						<goals>
							<goal>npm</goal>
						</goals>
						<configuration>
							<arguments>install</arguments>
						</configuration>
					</execution>

					<execution>
						<id>npm run build</id>
						<goals>
							<goal>npm</goal>
						</goals>
						<configuration>
							<arguments>run build</arguments>
						</configuration>
					</execution>

					<execution>
						<id>grunt build</id>
						<goals>
							<goal>grunt</goal>
						</goals>
						<configuration>
							<arguments>build --force</arguments>
						</configuration>
					</execution>

				</executions>
			</plugin>

			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-resources</id>
						<phase>compile</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>src/main/webapp</outputDirectory>
							<resources>
								<resource>
									<directory>${project.basedir}/dist</directory>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.eclipse.jetty</groupId>
				<artifactId>jetty-maven-plugin</artifactId>
				<version>${maven.jetty.version}</version>
				<configuration>
					<httpConnector>
						<port>8091</port>
					</httpConnector>
					<webAppConfig>
						<defaultsDescriptor>src/main/resources/webdefault.xml</defaultsDescriptor>
					</webAppConfig>
				</configuration>
			</plugin>

			<!-- ProGuard混淆插件-->
			<plugin>
				<groupId>com.github.wvengen</groupId>
				<artifactId>proguard-maven-plugin</artifactId>

				<version>2.0.14</version>

				<executions>
					<execution>
						<!-- 混淆时刻，这里是打包的时候混淆-->
						<phase>package</phase>
						<goals>
							<!-- 使用插件的什么功能，当然是混淆-->
							<goal>proguard</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<!-- 是否将生成的PG文件安装部署-->
					<attach>true</attach>
					<!-- 是否混淆-->
					<obfuscate>true</obfuscate>
					<!-- 指定生成文件分类 -->
					<attachArtifactClassifier>pg</attachArtifactClassifier>
					<options>
						<!-- JDK目标版本1.7-->
						<option>-target 1.8</option>
						<!-- 不做压缩（删除注释、未被引用代码）-->
						<option>-dontshrink</option>
						<!-- 不做优化（变更代码实现逻辑）-->
						<option>-dontoptimize</option>
						<!-- 不跳过非公用类文件及成员-->
						<option>-dontskipnonpubliclibraryclasses</option>
						<option>-dontskipnonpubliclibraryclassmembers</option>
						<!-- 优化时允许访问并修改有修饰符的类和类的成员 -->
						<option>-allowaccessmodification</option>
						<!-- 使用独特的混淆类的成员名称来增加混淆-->
						<option>-useuniqueclassmembernames</option>
						<!-- 不混淆所有包名，本人测试混淆后WEB项目问题实在太多，毕竟Spring配置中有大量固定写法的包名-->
						<option>-keeppackagenames</option>
						<!-- 不混淆所有特殊的类-->
						<option>-keepattributes Exceptions,InnerClasses,Signature,Deprecated,SourceFile,LineNumberTable,LocalVariable*Table,*Annotation*,Synthetic,EnclosingMethod</option>
						<!-- 不混淆所有的set/get方法，毕竟项目中使用的部分第三方框架（例如Shiro）会用到大量的set/get映射-->
						<option>-keepclassmembers public class * {void set*(***);*** get*();}</option>


						<!-- 以下因为大部分是Spring管理的Bean，不对包类的类名进行混淆，但对类中的属性和方法混淆-->
						<option>-keep class com.reyun.** </option>


						<!-- 不混淆model包中的所有类以及类的属性及方法，实体包，混淆了会导致ORM框架及前端无法识别-->
						<option>-keep class com.reyun.model.** {*;}</option>


					</options>
					<outjar>${project.build.finalName}-pg.jar</outjar>
					<!-- 添加依赖，这里你可以按你的需要修改，这里测试只需要一个JRE的Runtime包就行了 -->
					<libs>
						<lib>${java.home}/lib/rt.jar</lib>
					</libs>
					<!-- 对什么东西进行加载，这里仅有classes，毕竟你也不可能对配置文件及JSP混淆吧-->
					<injar>classes</injar>
					<!-- 输出目录-->
					<outputDirectory>${project.build.directory}</outputDirectory>
				</configuration>
			</plugin>
		</plugins>

	</build>
</project>  